<template>
	<div>
		<component
			:is="dynamicComponent"
			:answers="answers"
			@answers="updateResults"
			@finished="testFinished"
		></component>
		
		<results
			:answers="answers"
			:finished="finished"
		></results>
	</div>
</template>

<script>
	import Questions from './Questions';
	import TestSummary from './TestSummary';
	import Results from './Results';

	export default {
		components: {
			Questions, TestSummary, Results
		},

		data() {
			return {
				answers: [],
				finished: false,
				dynamicComponent: 'questions'
			}
		},

		methods: {
			updateResults(answers) {
				this.answers = answers;
			},

			testFinished() {
				this.finished = true;
				this.dynamicComponent = 'test-summary';
			}
		}
	}	
</script>